/hg/release/icedtea7-forest-2.6: 3 new changesets

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

/hg/release/icedtea7-forest-2.6: 3 new changesets

andrew-127
changeset a1aa7e729c1a in /hg/release/icedtea7-forest-2.6
details: http://icedtea.classpath.org/hg/release/icedtea7-forest-2.6?cmd=changeset;node=a1aa7e729c1a
author: coffeys
date: Tue Oct 31 05:29:34 2017 +0000

        8184682: Upgrade compression library
        Reviewed-by: alanb, sherman, ahgross, jeff


changeset 0b57654ed071 in /hg/release/icedtea7-forest-2.6
details: http://icedtea.classpath.org/hg/release/icedtea7-forest-2.6?cmd=changeset;node=0b57654ed071
author: andrew
date: Mon Nov 27 05:43:22 2017 +0000

        Added tag jdk7u161-b00 for changeset a1aa7e729c1a


changeset 0a7eb50f7aba in /hg/release/icedtea7-forest-2.6
details: http://icedtea.classpath.org/hg/release/icedtea7-forest-2.6?cmd=changeset;node=0a7eb50f7aba
author: andrew
date: Mon Nov 27 06:51:23 2017 +0000

        Merge jdk7u161-b00


diffstat:

 .hgtags                  |   66 +++++++++++++++-
 .jcheck/conf             |    2 -
 THIRD_PARTY_README       |    8 +-
 buildhybrid.sh           |   61 +++++++++++++++
 buildnative.sh           |   38 +++++++++
 common/bin/hgforest.sh   |  190 +++++++++++++++++++++++++++++++++++++++++++++++
 get_source.sh            |    4 +-
 make/Defs-internal.gmk   |    1 +
 make/scripts/hgforest.sh |  144 -----------------------------------
 9 files changed, 360 insertions(+), 154 deletions(-)

diffs (truncated from 692 to 500 lines):

diff -r b9fe3c787ec7 -r 0a7eb50f7aba .hgtags
--- a/.hgtags Thu Aug 03 07:27:52 2017 +0100
+++ b/.hgtags Mon Nov 27 06:51:23 2017 +0000
@@ -50,6 +50,7 @@
 3ac6dcf7823205546fbbc3d4ea59f37358d0b0d4 jdk7-b73
 2c88089b6e1c053597418099a14232182c387edc jdk7-b74
 d1516b9f23954b29b8e76e6f4efc467c08c78133 jdk7-b75
+f0bfd9bd1a0e674288a8a4d17dcbb9e632b42e6d icedtea7-1.12
 c8b63075403d53a208104a8a6ea5072c1cb66aab jdk7-b76
 1f17ca8353babb13f4908c1f87d11508232518c8 jdk7-b77
 ab4ae8f4514693a9fe17ca2fec0239d8f8450d2c jdk7-b78
@@ -63,6 +64,7 @@
 433a60a9c0bf1b26ee7e65cebaa89c541f497aed jdk7-b86
 6b1069f53fbc30663ccef49d78c31bb7d6967bde jdk7-b87
 82135c848d5fcddb065e98ae77b81077c858f593 jdk7-b88
+195fcceefddce1963bb26ba32920de67806ed2db icedtea7-1.13
 7f1ba4459972bf84b8201dc1cc4f62b1fe1c74f4 jdk7-b89
 425ba3efabbfe0b188105c10aaf7c3c8fa8d1a38 jdk7-b90
 97d8b6c659c29c8493a8b2b72c2796a021a8cf79 jdk7-b91
@@ -111,6 +113,7 @@
 ddc2fcb3682ffd27f44354db666128827be7e3c3 jdk7-b134
 783bd02b4ab4596059c74b10a1793d7bd2f1c157 jdk7-b135
 2fe76e73adaa5133ac559f0b3c2c0707eca04580 jdk7-b136
+d4aea1a51d625f5601c840714c7c94f1de5bc1af icedtea-1.14
 7654afc6a29e43cb0a1343ce7f1287bf690d5e5f jdk7-b137
 fc47c97bbbd91b1f774d855c48a7e285eb1a351a jdk7-b138
 7ed6d0b9aaa12320832a7ddadb88d6d8d0dda4c1 jdk7-b139
@@ -123,6 +126,7 @@
 2d38c2a79c144c30cd04d143d83ee7ec6af40771 jdk7-b146
 3ac30b3852876ccad6bd61697b5f9efa91ca7bc6 jdk7u1-b01
 d91364304d7c4ecd34caffdba2b840aeb0d10b51 jdk7-b147
+3defd24c2671eb2e7796b5dc45b98954341d73a7 icedtea-2.0-branchpoint
 34451dc0580d5c95d97b95a564e6198f36545d68 jdk7u1-b02
 bf735d852f79bdbb3373c777eec3ff27e035e7ba jdk7u1-b03
 f66a2bada589f4157789e6f66472954d2f1c114e jdk7u1-b04
@@ -141,6 +145,7 @@
 b2deaf5bde5ec455a06786e8e2aea2e673be13aa jdk7u2-b12
 c95558e566ac3605c480a3d070b1102088dab07f jdk7u2-b13
 e30fd289f0019700575593ee4e1635fbc5c9a484 jdk7u2-b21
+a66b58021165f5a43e3974fe5fb9fead29824098 icedtea-2.1-branchpoint
 e30fd289f0019700575593ee4e1635fbc5c9a484 jdk7u3-b02
 becd013ae6072a6633ba015fc4f5862fca589cee jdk7u3-b03
 d64361a28584728aa25dca3781cffbaf4199e088 jdk7u3-b04
@@ -157,6 +162,7 @@
 2b07c262a8a9ff78dc908efb9d7b3bb099df9ac4 jdk7u4-b10
 1abfee16e8cc7e3950052befa78dbf14a5ca9cfc jdk7u4-b11
 e6f915094dccbba16df6ebeb002e6867392eda40 jdk7u4-b12
+e7886f5ad6cc837092386fa513e670d4a770456c icedtea-2.2-branchpoint
 9108e3c2f07ffa218641d93893ac9928e95d213a jdk7u4-b13
 d9580838fd08872fc0da648ecfc6782704b4aac1 jdk7u4-b14
 008753000680a2008175d14b25373356f531aa07 jdk7u4-b15
@@ -186,11 +192,15 @@
 5f3645aa920d373b26d01b21f3b8b30fc4e10a0d jdk7u6-b10
 cd64596c2dd7f195a6d38b6269bab23e7fad4361 jdk7u6-b11
 61cfcee1d00cb4af288e640216af2bccbc3c9ef0 jdk7u6-b12
+cdab3bfb573b8832d539a8fa3e9c20f9f4965132 ppc-aix-port-b01
+06179726206f1411ed254f786be3477ca5763e37 ppc-aix-port-b02
+50f2b3cacf77467befb95b7d4fea15bbdb4d650a ppc-aix-port-b03
 9b9a6d318e8aa5b8f0e42d2d3d2c0c34cb3f986d jdk7u6-b13
 eff9ea1ca63df8656ebef9fedca0c647a210d807 jdk7u6-b14
 528f1589f5f2adf18d5d21384ba668b9aa79841e jdk7u6-b15
 7b77364eb09faac4c37ce9dd2c2308ca5525f18f jdk7u6-b16
 b7c1b441d131c70278de299b5d1e59dce0755dc5 jdk7u6-b17
+0e7b94bd450d4270d4e9bd6c040c94fa4be714a6 icedtea-2.3-branchpoint
 9c41f7b1460b106d18676899d24b6ea07de5a369 jdk7u6-b18
 56291720b5e578046bc02761dcad2a575f99fd8e jdk7u6-b19
 e79fa743fe5a801db4acc7a7daa68f581423e5d3 jdk7u6-b20
@@ -258,11 +268,13 @@
 c3e42860af1cfd997fe1895594f652f0d1e9984e jdk7u12-b07
 1a03ef4794dc8face4de605ae480d4c763e6b494 jdk7u12-b08
 87cf81226f2012e5c21131adac7880f7e4da1133 jdk7u12-b09
+8a10a3c51f1cd88009008cf1b82071797b5f516d icedtea-2.4-branchpoint
 745a15bb6d94765bb5c68048ff146590df9b8441 jdk7u14-b10
 2d8fdaa5bb55b937028e385633ce58de4dcdb69c jdk7u14-b11
 594dbbbb84add4aa310d51af7e298470d8cda458 jdk7u14-b12
 ae5c1b29297dae0375277a0b6428c266d8d77c71 jdk7u14-b13
 bb97ad0c9e5a0566e82b3b4bc43eabe680b89d97 jdk7u14-b14
+a20ac67cdbc245d1c14fec3061703232501f8334 ppc-aix-port-b04
 b534282bd377e3886b9d0d4760f6fdaa1804bdd3 jdk7u14-b15
 0e52db2d9bb8bc789f6c66f2cfb7cd2d3b0b16c6 jdk7u15-b01
 0324fca94d073b3aad77658224f17679f25c18b1 jdk7u15-b02
@@ -379,6 +391,7 @@
 f0cdb08a4624a623bdd178b04c4bf5a2fa4dc39a jdk7u45-b18
 82f1f76c44124c31cb1151833fc15c13547ab280 jdk7u45-b30
 f4373de4b75ba8d7f7a5d9c1f77e7884d9064b7e jdk7u45-b31
+11147a12bd8c6b02f98016a8d1151e56f42a43b6 jdk7u60-b00
 b73c006b5d81528dfb4104a79b994b56675bf75d jdk7u45-b33
 05742477836cb30235328181c8e6cae5d4bb06fd jdk7u45-b34
 d0d5badd77abce0469830466ff7b910d3621d847 jdk7u45-b35
@@ -428,8 +441,11 @@
 11147a12bd8c6b02f98016a8d1151e56f42a43b6 jdk7u60-b00
 88113cabda386320a087b288d43e792f523cc0ba jdk7u60-b01
 6bdacebbc97f0a03be45be48a6d5b5cf2f7fe77d jdk7u60-b02
+ba9872fc05cc333e3960551ae9fa61d51b8d5e06 icedtea-2.5pre01
+fc5d15cc35b4b47fe403c57fe4bf224fcfe1426c icedtea-2.5pre02
 87f2193da40d3a2eedca95108ae78403c7bdcd49 jdk7u60-b03
 d4397128f8b65eb96287128575dd1a3da6a7825b jdk7u60-b04
+9d6e6533c1e5f6c335a604f5b58e6f4f93b3e3dd icedtea-2.6pre01
 ea798405286d97f643ef809abcb1e13024b4f951 jdk7u60-b05
 b0940b205cab942512b5bca1338ab96a45a67832 jdk7u60-b06
 cae7bacaa13bb8c42a42fa35b156a7660874e907 jdk7u60-b07
@@ -439,7 +455,11 @@
 798468b91bcbb81684aea8620dbb31eaceb24c6c jdk7u60-b11
 e40360c10b2ce5b24b1eea63160b78e112aa5d3f jdk7u60-b12
 5e540a4d55916519f5604a422bfbb7a0967d0594 jdk7u60-b13
+07a06f1124248527df6a0caec615198a75f54673 icedtea-2.6pre02
+edf01342f3cb375746dba3620d359ac9a6e50aa8 icedtea-2.6pre03
 1ca6a368aec38ee91a41dc03899d7dc1037de44d jdk7u60-b14
+9f06098d4daa523fa85f5ee133ef91c3ecc1f242 icedtea-2.6pre04
+7c68cd21751684d6da92ef83e0128f473d2dddd6 icedtea-2.6pre05
 a95b821a2627295b90fb4ae8f3b8bc2ff9c64acc jdk7u60-b15
 19a3f6f48c541a8cf144eedffa0e52e108052e82 jdk7u60-b16
 472f5930e6cc8f307b5508995ee2edcf9913a852 jdk7u60-b17
@@ -579,10 +599,27 @@
 127bfeeddc9cf2f8cbf58052f32f6c8676fb8840 jdk7u79-b15
 d4397128f8b65eb96287128575dd1a3da6a7825b jdk7u80-b00
 90564f0970e92b844122be27f051655aef6dc423 jdk7u80-b01
+390d699dae6114bbe08e4a9bb8da6fec390fb5d8 icedtea-2.6pre07
+b07e2aed0a26019953ce2ac6b88e73091374a541 icedtea-2.6pre06
+df23e37605061532939ee85bba23c8368425deee icedtea-2.6pre08
 36e8397bf04d972519b80ca9e24e68a2ed1e4dbd jdk7u80-b02
+7faf56bdd78300c06ef2dae652877d17c9be0037 icedtea-2.6pre09
+200124c2f78dbf82ea3d023fab9ce4636c4fd073 icedtea-2.6pre10
+05e485acec14af17c2fc4d9d29d58b14f1a0f960 icedtea-2.6pre11
 4093bbbc90009bfd9311ccd6373c7a2f2755c9d9 jdk7u80-b03
+b70554883dbd0b13fdb3a7230ac8102c7c61f475 icedtea-2.6pre12
+f16c298d91bda698cd428254df2c3d2d21cc83c0 icedtea-2.6pre13
+97260abdb038f6ff28ea93a19e82b69fd73a344c icedtea-2.6pre14
+bda108a874bc1678966b65e97a87fac293a54fc8 icedtea-2.6pre15
+78bdb9406195da1811f2f52b46dec790158ca364 icedtea-2.6pre16
+f92696272981c10e64a80cb91ca6a747d8de3188 icedtea-2.6pre17
 928d01695cd2b65119bbfcd51032ae427a66f83d jdk7u80-b04
 46d516760a680deaeffdb03e3221648bc14c0818 jdk7u80-b05
+e229119aa0a088058254ee783b0437ee441d0017 icedtea-2.6pre18
+55ce37199ce35e9c554fefb265a98ec137acbaa2 icedtea-2.6pre19
+10d65b91c33c9b87bc6012ce753daed42c840dde icedtea-2.6pre20
+513069c9fc2037af7038dc44b0f26057fa815584 icedtea-2.6pre21
+851deec2e741fcb09bf96fc7a15ae285890fb832 icedtea-2.6pre22
 8fffdc2d1faaf2c61abff00ee41f50d28da2174a jdk7u80-b06
 6d0aaea852b04d7270fde5c289827b00f2391374 jdk7u80-b07
 e8daab5fb25eb513c53d6d766d50caf662131d79 jdk7u80-b08
@@ -595,21 +632,46 @@
 611f7d38d9346243b558dc78409b813241eb426f jdk7u80-b30
 f19659de2034611095d307ccc68f777abc8b008e jdk7u80-b15
 458545155c9326c27b4e84a8a087f4419e8f122e jdk7u80-b32
-3b6a81ffb63654d5148168c2ba00288dfc833fe4 jdk7u85-b00
-76707a6d46afa9a057756f4d3614c0da1320499c jdk7u85-b01
+88ad67ad5b51c1e7316828de177808d4776b5357 icedtea-2.6pre23
+dbfa75121acab9c4dfbf5b28e3eba0e58905c4ef icedtea-2.6pre24
+8d08525bb2541367a4908a5f97298e0b21c12280 jdk7u85-b00
+e3845b02b0d1bfe203ab4783941d852a2b2d412d jdk7u85-b01
+dbfa75121acab9c4dfbf5b28e3eba0e58905c4ef icedtea-2.6.0
+dbfa75121acab9c4dfbf5b28e3eba0e58905c4ef icedtea-2.6-branchpoint
+39b2c4354d0a235a5bc20ce286374bb242e9c62d icedtea-2.6.1
 bc294917c5eb1ea2e655a2fcbd8fbb2e7cbd3313 jdk7u85-b02
+2265879728d802e3af28bcd9078431c56a0e26e5 icedtea-2.6.2pre01
+d27c76db0808b7a59313916e9880deded3368ed2 icedtea-2.6.2pre02
 63d687368ce5bca36efbe48db2cf26df171b162d jdk7u91-b00
 03b03194afbe87a049a1c6d83f49788602c363d8 jdk7u91-b01
+601ca7147b8c551d394ad97b6288b01c9e763ea4 icedtea-2.6.2
 2be0ab1a24b2b6910d8f31e3314ffa48f30f21df jdk7u91-b02
+f0e7f22f09ef0ddd583eb8ce9a14edcccfa4f7ea icedtea-2.6.3
 a28bc539342e4ca724a5abd2521c6a58f04c2113 jdk7u95-b00
+4f1e498cad9c7bc7ab0b6df99ebb4a29a8ca1c5e icedtea-2.6.4
 251bb2a6d5cfbb76c0f4bdfecea4ca9c8af21558 jdk7u99-b00
+8e728c41fec5b9a945a12aecdd002ae1652d0253 icedtea-2.6.5
+b8b43305701a43c34b3be0957bc8d75a76d1b4c7 icedtea-2.6.6pre01
 12491db47c7ccffcc3e881df68f4c2f727b44e5d jdk7u101-b00
+882cfee70fe876a273ba8f594d03219aa8192cef icedtea-2.6.6
+8c0c17064521873767912ca59dcc7a1f772399d2 icedtea-2.6.7pre01
 bade1889699bab14082e84de3b40901964b52483 jdk7u111-b00
 9b95c1ef81fe7bb010a6938d1cb97843b9a1fc68 jdk7u111-b01
+6aafb6fe0a1e36055566484bef4f93dba6c05ad2 icedtea-2.6.7
+a1ef40f591be786c98967b07650992c32905bc38 icedtea-2.6.8pre01
 974935f4e21dae1170b5247a8af362617d105e1c jdk7u121-b00
+653c2662034dc87d063bc61c9741045041db7182 icedtea-2.6.8
+36a89571adf078953219bf591098eaf18bc7213f icedtea-2.6.9pre01
 259e6ca7faf17e2b96fb0733f30e62327a7acdfa jdk7u131-b00
+2dd04ef37829f92208f9044177284fab5db04e28 icedtea-2.6.9
+cd7f56e178662fcdc453edb6622b404f53aaea56 icedtea-2.6.10pre01
 e3b3add63d287cd07398949308308135ded4197e jdk7u141-b00
 b21d7bc25e0f96c6ed9b19e1ea0ea6253c34d7fe jdk7u141-b01
 db8fe12e5e508b18dd0aeb166099406a774b0d04 jdk7u141-b02
+b3f98f0d454923698116f756711d79c0578f1a8e icedtea-2.6.10
+54009dd18b706ad1ef023cd472a8c1a76f9faac6 icedtea-2.6.11pre01
 ae6c3762cdc9b1610211cd1ad1a29ed1a7f8471e jdk7u151-b00
 c63b09823b9fa0ddeb37c1ac534569a9227c5bf6 jdk7u151-b01
+499e7894cc4485715dbcc4f1d7436feda0668b70 icedtea-2.6.11
+f53c56dda66385af2679e1f7e85b7cbe91aef52c icedtea-2.6.12pre01
+a1aa7e729c1ad05387f5cb744c6cbd008414c600 jdk7u161-b00
diff -r b9fe3c787ec7 -r 0a7eb50f7aba .jcheck/conf
--- a/.jcheck/conf Thu Aug 03 07:27:52 2017 +0100
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,2 +0,0 @@
-project=jdk7
-bugids=dup
diff -r b9fe3c787ec7 -r 0a7eb50f7aba THIRD_PARTY_README
--- a/THIRD_PARTY_README Thu Aug 03 07:27:52 2017 +0100
+++ b/THIRD_PARTY_README Mon Nov 27 06:51:23 2017 +0000
@@ -3134,14 +3134,14 @@
 
 -------------------------------------------------------------------------------
 
-%% This notice is provided with respect to zlib v1.2.3, which is included
+%% This notice is provided with respect to zlib v1.2.11, which may be included
 with JRE 7, JDK 7, and OpenJDK 7
 
 --- begin of LICENSE ---
 
-  version 1.2.3, July 18th, 2005
-
-  Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler
+  version 1.2.11, January 15th, 2017
+
+  Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler
 
   This software is provided 'as-is', without any express or implied
   warranty.  In no event will the authors be held liable for any damages
diff -r b9fe3c787ec7 -r 0a7eb50f7aba buildhybrid.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/buildhybrid.sh Mon Nov 27 06:51:23 2017 +0000
@@ -0,0 +1,61 @@
+#!/bin/sh
+# check we have a simulator tree
+if [ ! -d ../simulator ] ; then
+  echo "downloading aarch64 simulator code from sourceforge into directory ../simulator"
+  (cd .. ; hg clone http://hg.code.sourceforge.net/p/smallaarch64sim/code simulator)
+fi
+
+# check we have a binutils tree
+
+if [ ! -d ../binutils ] ; then
+  echo "downloading aarch64 binutils code from sourceforge into directory ../binutils"
+  echo "by executing the following command"
+  (cd .. ; hg clone http://hg.code.sourceforge.net/p/binutilsaarch64/code binutils)
+fi
+
+# ensure the sim lib has been built
+if [ ! -f ../simulator/libarmsim.so ] ; then
+  (cd ../simulator ; make)
+fi
+
+# ensure the hsdis lib has been built
+
+if [ ! -f hotspot/src/share/tools/hsdis/build/linux-amd64/hsdis-aarch64.so ] ; then
+  (export BINUTILS=`cd .. ; pwd`/binutils ; cd hotspot/src/share/tools/hsdis ; make BUILD_AARCH64=true)
+  mv hotspot/src/share/tools/hsdis/build/linux-amd64/hsdis-amd64.so hotspot/src/share/tools/hsdis/build/linux-amd64/hsdis-aarch64.so
+fi
+
+unset JAVA_HOME
+export LANG=C
+
+set -x
+
+if [ x"$JDK_TO_BUILD_WITH" == x ] ; then
+JDK_TO_BUILD_WITH=/usr/lib/jvm/java-1.7.0
+fi
+
+source ./jdk/make/jdk_generic_profile.sh
+
+make \
+BUILTIN_SIM="true" \
+ALLOW_DOWNLOADS="true" \
+ALT_JDK_IMPORT_PATH="$JDK_TO_BUILD_WITH" \
+ALT_BOOTDIR="$JDK_TO_BUILD_WITH" \
+ANT="/usr/bin/ant" \
+FT2_CFLAGS="$(pkg-config --cflags freetype2)" \
+FT2_LIBS="$(pkg-config --libs freetype2)" \
+STATIC_CXX="false" \
+NO_DOCS="true" \
+DEBUG_CLASSFILES="true" \
+DEBUG_BINARIES="true" \
+STRIP_POLICY=no_strip \
+HOTSPOT_BUILD_JOBS=8 debug_build $*
+
+# ensure hsdis lib is installed
+if [ ! -f build/linux-amd64-debug/j2sdk-image/jre/lib/amd64/hsdis-aarch64.so -a \
+      -d  build/linux-amd64-debug/j2sdk-image/jre/lib/amd64 ] ; then
+  cp hotspot/src/share/tools/hsdis/build/linux-amd64/hsdis-aarch64.so \
+     build/linux-amd64-debug/j2sdk-image/jre/lib/amd64/hsdis-aarch64.so
+  cp hotspot/src/share/tools/hsdis/build/linux-amd64/hsdis-aarch64.so \
+     build/linux-amd64-debug/j2sdk-server-image/jre/lib/amd64/hsdis-aarch64.so
+fi
diff -r b9fe3c787ec7 -r 0a7eb50f7aba buildnative.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/buildnative.sh Mon Nov 27 06:51:23 2017 +0000
@@ -0,0 +1,38 @@
+# ensure the hsdis lib has been built
+
+if [ ! -f hotspot/src/share/tools/hsdis/build/linux-aarch64/hsdis-aarch64.so ] ; then
+  (export BINUTILS=`cd .. ; pwd`/binutils-2.23.52 ; cd hotspot/src/share/tools/hsdis ; make)
+fi
+
+unset JAVA_HOME
+export LANG=C
+
+set -x
+
+if [ x"$JDK_TO_BUILD_WITH" == x ] ; then
+JDK_TO_BUILD_WITH=/usr/lib/jvm/java-1.7.0
+fi
+
+source ./jdk/make/jdk_generic_profile.sh
+
+make \
+ALT_JDK_IMPORT_PATH="$JDK_TO_BUILD_WITH" \
+ALT_BOOTDIR="$JDK_TO_BUILD_WITH" \
+ANT="/usr/bin/ant" \
+FT2_CFLAGS="$(pkg-config --cflags freetype2)" \
+FT2_LIBS="$(pkg-config --libs freetype2)" \
+STATIC_CXX="false" \
+NO_DOCS="true" \
+DEBUG_CLASSFILES="true" \
+DEBUG_BINARIES="true" \
+STRIP_POLICY=no_strip \
+HOTSPOT_BUILD_JOBS=8 debug_build $*
+
+# ensure hsdis lib is installed
+if [ ! -f build/linux-aarch64-debug/j2sdk-image/jre/lib/aarch64/hsdis-aarch64.so -a \
+      -d  build/linux-aarch64-debug/j2sdk-image/jre/lib/aarch64 ] ; then
+  cp hotspot/src/share/tools/hsdis/build/linux-aarch64/hsdis-aarch64.so \
+     build/linux-aarch64-debug/j2sdk-image/jre/lib/aarch64/hsdis-aarch64.so
+  cp hotspot/src/share/tools/hsdis/build/linux-aarch64/hsdis-aarch64.so \
+     build/linux-aarch64-debug/j2sdk-server-image/jre/lib/aarch64/hsdis-aarch64.so
+fi
diff -r b9fe3c787ec7 -r 0a7eb50f7aba common/bin/hgforest.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/common/bin/hgforest.sh Mon Nov 27 06:51:23 2017 +0000
@@ -0,0 +1,190 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2009, 2013, Oracle and/or its affiliates. All rights reserved.
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# This code is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 2 only, as
+# published by the Free Software Foundation.
+#
+# This code is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# version 2 for more details (a copy is included in the LICENSE file that
+# accompanied this code).
+#
+# You should have received a copy of the GNU General Public License version
+# 2 along with this work; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+# or visit www.oracle.com if you need additional information or have any
+# questions.
+#
+
+# Shell script for a fast parallel forest command
+command="$1"
+pull_extra_base="$2"
+
+if [ "" = "$command" ] ; then
+  echo No command to hg supplied!
+  exit 1
+fi
+
+# Clean out the temporary directory that stores the pid files.
+tmp=/tmp/forest.$$
+rm -f -r ${tmp}
+mkdir -p ${tmp}
+
+safe_interrupt () {
+  if [ -d ${tmp} ]; then
+    if [ "`ls ${tmp}/*.pid`" != "" ]; then
+      echo "Waiting for processes ( `cat ${tmp}/*.pid | tr '\n' ' '`) to terminate nicely!"
+      sleep 1
+      # Pipe stderr to dev/null to silence kill, that complains when trying to kill
+      # a subprocess that has already exited.
+      kill -TERM `cat ${tmp}/*.pid | tr '\n' ' '` 2> /dev/null
+      wait
+      echo Interrupt complete!
+    fi
+  fi
+  rm -f -r ${tmp}
+  exit 1
+}
+
+nice_exit () {
+  if [ -d ${tmp} ]; then
+    if [ "`ls ${tmp}`" != "" ]; then
+      wait
+    fi
+  fi
+  rm -f -r ${tmp}
+}
+
+trap 'safe_interrupt' INT QUIT
+trap 'nice_exit' EXIT
+
+# Only look in specific locations for possible forests (avoids long searches)
+pull_default=""
+repos=""
+repos_extra=""
+if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
+  subrepos="corba jaxp jaxws langtools jdk hotspot"
+  if [ -f .hg/hgrc ] ; then
+    pull_default=`hg paths default`
+    if [ "${pull_default}" = "" ] ; then
+      echo "ERROR: Need initial clone with 'hg paths default' defined"
+      exit 1
+    fi
+  fi
+  if [ "${pull_default}" = "" ] ; then
+    echo "ERROR: Need initial repository to use this script"
+    exit 1
+  fi
+  for i in ${subrepos} ; do
+    if [ ! -f ${i}/.hg/hgrc ] ; then
+      repos="${repos} ${i}"
+    fi
+  done
+  if [ "${pull_extra_base}" != "" ] ; then
+    subrepos_extra="jdk/src/closed jdk/make/closed jdk/test/closed hotspot/make/closed hotspot/src/closed hotspot/test/closed deploy install sponsors pubs"
+    pull_default_tail=`echo ${pull_default} | sed -e 's@^.*://[^/]*/\(.*\)@\1@'`
+    pull_extra="${pull_extra_base}/${pull_default_tail}"
+    for i in ${subrepos_extra} ; do
+      if [ ! -f ${i}/.hg/hgrc ] ; then
+        repos_extra="${repos_extra} ${i}"
+      fi
+    done
+  fi
+  at_a_time=2
+  # Any repos to deal with?
+  if [ "${repos}" = "" -a "${repos_extra}" = "" ] ; then
+    exit
+  fi
+else
+  hgdirs=`ls -d ./.hg ./*/.hg ./*/*/.hg ./*/*/*/.hg ./*/*/*/*/.hg 2>/dev/null`
+  # Derive repository names from the .hg directory locations
+  for i in ${hgdirs} ; do
+    repos="${repos} `echo ${i} | sed -e 's@/.hg$@@'`"
+  done
+  for i in ${repos} ; do
+    if [ -h ${i}/.hg/store/lock -o -f ${i}/.hg/store/lock ] ; then
+      locked="${i} ${locked}"
+    fi
+  done
+  at_a_time=8
+  # Any repos to deal with?
+  if [ "${repos}" = "" ] ; then
+    echo "No repositories to process."
+    exit
+  fi
+  if [ "${locked}" != "" ] ; then
+    echo "These repositories are locked: ${locked}"
+    exit
+  fi
+fi
+
+# Echo out what repositories we do a command on.
+echo "# Repositories: ${repos} ${repos_extra}"
+echo
+
+# Run the supplied command on all repos in parallel.
+n=0
+for i in ${repos} ${repos_extra} ; do
+  n=`expr ${n} '+' 1`
+  repopidfile=`echo ${i} | sed -e 's@./@@' -e 's@/@_@g'`
+  reponame=`echo ${i} | sed -e :a -e 's/^.\{1,20\}$/ &/;ta'`
+  pull_base="${pull_default}"
+  for j in $repos_extra ; do
+      if [ "$i" = "$j" ] ; then
+          pull_base="${pull_extra}"
+      fi
+  done
+  (
+    (
+      if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
+        pull_newrepo="${pull_base}/${i}"
+        # pull_newrepo="`echo ${pull_base}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
+        echo hg clone ${pull_newrepo} ${i}
+        path="`dirname ${i}`"
+        if [ "${path}" != "." ] ; then
+          times=0
+          while [ ! -d "${path}" ]   ## nested repo, ensure containing dir exists
+          do
+            times=`expr ${times} '+' 1`
+            if [ `expr ${times} '%' 10` -eq 0 ] ; then
+              echo ${path} still not created, waiting...
+            fi
+            sleep 5
+          done
+        fi
+        (PYTHONUNBUFFERED=true hg clone ${pull_newrepo} ${i}; echo "$?" > ${tmp}/${repopidfile}.pid.rc )&
+      else
+        echo "cd ${i} && hg $*"
+        cd ${i} && (PYTHONUNBUFFERED=true hg "$@"; echo "$?" > ${tmp}/${repopidfile}.pid.rc )&
+      fi
+      echo $! > ${tmp}/${repopidfile}.pid
+    ) 2>&1 | sed -e "s@^@${reponame}:   @") &
+
+  if [ `expr ${n} '%' ${at_a_time}` -eq 0 ] ; then
+    sleep 2